MooseX::Types::Moose(3)

NAME
MooseX::Types::Moose - Type exports that match the types shipped with Moose

VERSION
version 0.46

SYNOPSIS
  package Foo;
  use Moose;
  use MooseX::Types::Moose qw( ArrayRef Int Str );
  use Carp qw( croak );

  has 'name',
    is  => 'rw',
    isa => Str;

  has 'ids',
    is  => 'rw',
    isa => ArrayRef[Int];

  sub add {
      my ($self, $x, $y) = @_;
      croak 'First arg not an Int'  unless is_Int($x);
      croak 'Second arg not an Int' unless is_Int($y);
      return $x + $y;
  }

  1;

DESCRIPTION
This package contains a virtual library for MooseX::Types that is able to export all types known to Moose. See MooseX::Types for general usage information.

METHODS

  type_storage
Overrides MooseX::Types::Base' "type_storage" to provide a hash reference containing all built-in Moose types.

SEE ALSO
Moose, Moose::Util::TypeConstraints

AUTHOR
Robert "phaylon" Sedlacek <rs@474.at>

COPYRIGHT AND LICENSE
This software is copyright (c) 2007 by Robert "phaylon" Sedlacek.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.